<?php

/*
 * browsers.inc - the file for configurating the settings for different browsers
 *
 * Copyright (c) by Andreas S. Krebs (andreas.krebs@web.de)
 *
 * all browser specific stuff should be placed here.
 *
 */

/*
 * first let's try to find the browser type we have, this has been tested
 * with the following browsers (no special support or check for older
 * versions of this browsers is made):
 *  -Mozilla 0.9
 *  -Lynx 2.8.4
 *  -Netscape 6.01
 *  -Netscape 4.77
 *  -Opera 5.11
 *  -Internet Explorer 5.5
 */

$BROWSER="default";

/*
 * first let's check if the is a browser with the gecko rendering engine 
 * (Mozilla or Netscape 6)
 */
if(stristr($HTTP_USER_AGENT, "gecko")!=false)
  $BROWSER="gecko";

/*
 * now let's check if the browser is opera
 */
if(stristr($HTTP_USER_AGENT, "opera")!=false)
  $BROWSER="opera";

/*
 * now let's check if the browser is lynx
 */
if(stristr($HTTP_USER_AGENT, "lynx")!=false)
  $BROWSER="lynx";

/*
 * now let's check if the browser is an internet explorer 4 or another IE version
 */
if(strpos($HTTP_USER_AGENT, "MSIE 4")!=false)
  $BROWSER="msie4";
else if(strpos($HTTP_USER_AGENT, "MSIE")!=false)
  $BROWSER="msie";

/*
 * all other browsers are for now configured in the same default way
 */ 

/*
 * here are the arrays with the different browser settings
 */

$_CSS_FILE=array(
  "default" => "muwed_1.css",
  "gecko"   => "muwed_2.css",
  "lynx"    => false,
  "opera"   => "muwed_2.css",
  "msie4"   => "muwed_2.css",
  "msie"    => "muwed_2.css",
);

$_PLAYER_HEIGHT=array(
  "default" => 176,
  "gecko"   => 140,
  "lynx"    => 140,
  "opera"   => 170,
  "msie4"   => 140,
  "msie"    => 140,
);

$_MAX_TABLE_WIDTH=array(
  "default" => "98%",
  "gecko"   => "100%",
  "lynx"    => "100%",
  "opera"   => "100%",
  "msie4"   => "100%",
  "msie"    => "100%",
);

$_MAX_TABLE_HEIGHT=array(
  "default" => "0%",
  "gecko"   => "0%",
  "lynx"    => "0%",
  "opera"   => "0%",
  "msie4"   => "0%",
  "msie"    => "0%",
);

$_TABLE_BORDER=array(
  "default" => 1,
  "gecko"   => 0,
  "lynx"    => 1,
  "opera"   => 0,
  "msie4"   => 0,
  "msie"    => 0,
);

$_TABLE_SPACING=array(
  "default" => 4,
  "gecko"   => 8,
  "lynx"    => 4,
  "opera"   => 8,
  "msie4"   => 8,
  "msie"    => 8,
);

$_ARTIST_SIZE=array(
  "default" => 12,
  "gecko"   => 16,
  "lynx"    => 12,
  "opera"   => 16,
  "msie4"   => 16,
  "msie"    => 16,
);

$_TITLE_SIZE=array(
  "default" => 12,
  "gecko"   => 16,
  "lynx"    => 12,
  "opera"   => 16,  
  "msie4"   => 16,
  "msie"    => 16,
);

$_ALBUM_SIZE=array(
  "default" => 10,
  "gecko"   => 12,
  "lynx"    => 10,
  "opera"   => 12,
  "msie4"   => 12,
  "msie"    => 12,
);

$_PLID_SIZE=array(
  "default" => 5,
  "gecko"   => 5,
  "lynx"    => 5,
  "opera"   => 5,
  "msie4"   => 5,
  "msie"    => 5,
);

$_COMPOSER_SIZE=array(
  "default" => 12,
  "gecko"   => 16,
  "lynx"    => 12,
  "opera"   => 16,
  "msie4"   => 16,
  "msie"    => 16,
);

$_EDIT_SIZE=array(
  "default" => 40,
  "gecko"   => 80,
  "lynx"    => 40,
  "opera"   => 80,
  "msie4"   => 80,
  "msie"    => 80,
);

$_PLTITLE_SIZE=array(
  "default" => 24,
  "gecko"   => 24,
  "lynx"    => 24,
  "opera"   => 24,  
  "msie4"   => 24,
  "msie"    => 24,
);

$_SONGID_SIZE=array(
  "default" => 10,
  "gecko"   => 10,
  "lynx"    => 10,
  "opera"   => 10,
  "msie4"   => 10,
  "msie"    => 10,
);

$_FORWARD_ENC=array(
  "default" => "%2B1",
  "gecko"   => "%252B1",
  "lynx"    => "%2B1",
  "opera"   => "%2B1",
  "msie4"   => ">1",
  "msie"    => "%252B1",
);

$_ENTRY_ATTR=array(
  "default" => array(),
  "gecko"   => array(),
  "lynx"    => array(),
  "opera"   => array("BGCOLOR"=>"beige"),
  "msie4"   => array(),
  "msie"    => array(),
);

$_HAS_JS=array(
  "default" => true,
  "gecko"   => true,
  "lynx"    => false,
  "opera"   => true,
  "msie4"   => true,
  "msie"    => true,
);

$_IMAGE_HEIGHT=array(
  "default" => 120,
  "gecko"   => 100,
  "lynx"    => 100,
  "opera"   => 120,
  "msie4"   => 100,
  "msie"    => 100,
);

/*
 * now let's set the variable using the hashes above
 */

$CSS_FILE		=$_CSS_FILE[ $BROWSER ];
$PLAYER_HEIGHT		=$_PLAYER_HEIGHT[ $BROWSER ];
$MAX_TABLE_WIDTH	=$_MAX_TABLE_WIDTH[ $BROWSER ];
$MAX_TABLE_HEIGHT	=$_MAX_TABLE_HEIGHT[ $BROWSER ];
$TABLE_BORDER		=$_TABLE_BORDER[ $BROWSER ];
$TABLE_SPACING		=$_TABLE_SPACING[ $BROWSER ];
$ARTIST_SIZE		=$_ARTIST_SIZE[ $BROWSER ];
$TITLE_SIZE		=$_TITLE_SIZE[ $BROWSER ];
$ALBUM_SIZE		=$_ALBUM_SIZE[ $BROWSER ];
$COMPOSER_SIZE		=$_COMPOSER_SIZE[ $BROWSER ];
$PLID_SIZE		=$_PLID_SIZE[ $BROWSER ];
$EDIT_SIZE		=$_EDIT_SIZE[ $BROWSER ];
$FORWARD_ENC		=$_FORWARD_ENC[ $BROWSER ];
$ENTRY_ATTR		=$_ENTRY_ATTR[ $BROWSER ];
$HAS_JS			=$_HAS_JS[ $BROWSER ];
$IMAGE_HEIGHT		=$_IMAGE_HEIGHT[ $BROWSER ];

$PLTITLE_SIZE		=$_PLTITLE_SIZE[ $BROWSER ];
$SONGID_SIZE		=$_SONGID_SIZE[ $BROWSER ];

?>
