<?php

/* 
 * irmp3.php - the function to send a command to irmp3 using mod_netctl
 *
 * Copyright (c) by Andreas S. Krebs (andreas.krebs@web.de)
 *
 */

function irmp3_cmd($host, $port, $command, $answer)
{
  $fp=fsockopen($host, $port);
  if(!$fp)
  {
    echo("ERROR accessing IRMP3 at $host:$port");
    return false;
  }

  if(is_array($command)==false)
    $a_cmd=array($command);
  else
    $a_cmd=$command;

  // send the commands to irmp3
  foreach($a_cmd as $cmd)
  {
    fputs($fp, "$cmd\n");
  }

  if(is_array($answer)==false)
    $a_ans=array($answer);
  else
    $a_ans=$answer;

  socket_set_blocking($fp, false);

  $a_get=array();
  foreach($a_ans as $ans)
    $a_get[]=$ans;

  $ret=array();
  $retries=0;

  while(count($a_get)>0 && $retries<5)
  {
    $retries++;

    // read some lines, until we get an answer we want
    $cnt=0;
    do
    {
      $tout=0;
      do
      {
        $tmp=fgets($fp, 4096);
        $tout++;
       
        if(strlen($tmp)==0)
        {
          usleep(100000);
        }
      }while(strlen($tmp)==0 && $tout<40);

      if(strlen($tmp)==0)
        break 2;

      $entry=split(" ", $tmp, 4);
      $entry[1]=trim($entry[1]);

      $oldSize=count($a_get);

      if($entry[0]=="220:" || $entry[0]=="230:")	// we only care about 220 and 230 messages
      {
        $entry[1]=trim($entry[1]);
        $entry[2]=trim($entry[2]);

        if($entry[1]=="time" && $entry[2]=="-1 -1")	// ignore invalid times
          $entry[1]="";
        else
        {
          if($entry[1]=="play")
          {
            $a_get=removeEntry("file", $a_get);
            $ret["file"]=trim($entry[3]);

            $entry[2]=$entry[1];
            $entry[1]="status";
          }
          else if($entry[1]=="pause" || $entry[1]=="stop")
          {
            $entry[2]=$entry[1];
            $entry[1]="status";
          }
        
          $entry[1]=str_replace(":", "", $entry[1]);        // needed for plpos

          $ret[$entry[1]]=trim($entry[2]);
        }
      }
      else
      {
        $entry[1]="";
      }
      
      $a_get=removeEntry($entry[1], $a_get);
      $size=count($a_get);

      if($size!=$oldSize || $size<=0)
      {
        break;
      }

      $cnt++;
    }while($cnt<20);
  }

  fclose($fp);

  // now add the command to the return array
  foreach($a_cmd as $cmd)
  {
    $entry=split(" ", $cmd, 2);
    $ret[$entry[0]]=trim($entry[1]);
  }

  return $ret;
}

function removeEntry($entry, &$entries)
{
  $inx=array_search($entry, $entries);
  if($inx !== FALSE)                // if we found an answer remove it
  {
    unset($entries[$inx]);
    $entries=array_values($entries);    // for some reason unsetting sometimes keeps the key :-(
  }

  return $entries;
}

?>
